From 1c25e0f23c2e0c60e4988e7ace74e466828f6830 Mon Sep 17 00:00:00 2001
From: Lauro Neto <lauro.neto@openbossa.org>
Date: Fri, 4 Mar 2011 08:43:26 -0300
Subject: Copy pysideuic to cmake binary dir to allow test

pysideuic was being generated in <source>/build while the
tests still pointed to the <source>/pysideuic.

This commits copies the pysideuic folder to <source>/build.
While not an ideal solution (would require running cmake
again to update the copy in <source>) it will make the test
work again.

Also makes pysideuic test preserve the path.
Patch-Name: u_4125d2d_Fix_pysideuictest.patch
---
 CMakeLists.txt       | 16 +++++++++-------
 tests/CMakeLists.txt |  2 +-
 2 files changed, 10 insertions(+), 8 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index ade68e5..36506b0 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -10,7 +10,13 @@ set(pyside_tools_MINOR_VERSION "2")
 set(pyside_tools_MICRO_VERSION "15")
 set(pyside_tools_VERSION "${pyside_tools_MAJOR_VERSION}.${pyside_tools_MINOR_VERSION}.${pyside_tools_MICRO_VERSION}")
 
-configure_file("pysideuic/__init__.py.in" "__init__.py" @ONLY)
+
+# PySide UIC
+configure_file("pysideuic/__init__.py.in" "pysideuic/__init__.py" @ONLY)
+file(COPY "pysideuic"
+     DESTINATION ${CMAKE_CURRENT_BINARY_DIR}
+     PATTERN "*.in" EXCLUDE
+     ) # Needed for testing inplace
 
 option(BUILD_TESTS "Build tests." TRUE)
 
@@ -34,13 +40,9 @@ install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/pyside-uic
         GROUP_EXECUTE GROUP_READ
         WORLD_EXECUTE WORLD_READ)
 
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/__init__.py"
-        DESTINATION "${SITE_PACKAGE}/pysideuic")
-install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/pysideuic
+install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/pysideuic
         DESTINATION ${SITE_PACKAGE}
-        PATTERN "*.in" EXCLUDE
-        PATTERN "*pysideuic/__init__.py" EXCLUDE
-        PATTERN "*pysideuic\\__init__.py" EXCLUDE)
+        PATTERN "*.in" EXCLUDE)
 
 # Man pages for pyside-uic
 if (NOT win32)
diff --git a/tests/CMakeLists.txt b/tests/CMakeLists.txt
index 04476d2..2ac52a0 100644
--- a/tests/CMakeLists.txt
+++ b/tests/CMakeLists.txt
@@ -2,4 +2,4 @@ find_package(Shiboken)
 add_subdirectory(rcc)
 add_test(QWizard ${SHIBOKEN_PYTHON_INTERPRETER} ${CMAKE_SOURCE_DIR}/pyside-uic "${CMAKE_CURRENT_SOURCE_DIR}/qwizard_test.ui")
 set_tests_properties(QWizard PROPERTIES
-                     ENVIRONMENT "PYTHONPATH=$ENV{PYTHONPATH}:${CMAKE_SOURCE_DIR}")
+                     ENVIRONMENT "PYTHONPATH=${CMAKE_BINARY_DIR}:$ENV{PYTHONPATH}")
